import React from "react";
import { DeployingResource } from "./models/terraform";
import { NestedTerraformOutputs } from "./terraform-context";
interface DeploySummaryConfig {
    resources: DeployingResource[];
}
export declare const DeploySummary: ({ resources, }: DeploySummaryConfig) => React.ReactElement;
export declare const Apply: ({ outputsPath, }: {
    outputsPath?: string | undefined;
}) => React.ReactElement;
interface DeployConfig {
    targetDir: string;
    targetStack?: string;
    synthCommand: string;
    autoApprove: boolean;
    onOutputsRetrieved: (outputs: NestedTerraformOutputs) => void;
    outputsPath?: string;
}
export declare const Deploy: ({ targetDir, targetStack, synthCommand, autoApprove, onOutputsRetrieved, outputsPath, }: DeployConfig) => React.ReactElement;
export {};
